use inline_colorization::*;
use std::{env, io::{self, Write}};

mod strong;

fn main() {

    let arg = env::args().collect::<Vec<String>>();
    if let Some(query) = arg.get(1) {
        if query.starts_with("H") | query.starts_with("h") {
            if let Some(found) = strong::get(query) {
                print!("{found}");
                return;
            }
        }
    }

    // No input args, go into interactive mode
    let stdin = io::stdin();
    let mut stdout = io::stdout();
    loop {
        print!("{color_bright_white}{style_bold}Search>{style_reset} ");
        let _ = stdout.flush();

        let mut buf = String::new();
        stdin.read_line(&mut buf).unwrap();
        let search = buf.trim().to_string();

        if search.starts_with("H") {
            if let Some(entry) = strong::get(&search) {
                println!("");
                print!("{}", entry);
                println!("");
            }
        } else {
            println!("Not sure what you're looking for...");
        }
    }
}
